Subject: Re: HF modem support

From: Rafael Diniz <[email-masked]>
Date: Wed, 18 Mar 2026 12:56:34 +0000

Comments inline:

>> Is there any sensible approach to reduce this, without completely breaking
>> the security (we're using UUCP, so anything better than nothing is better
>> already).
> 
> In general it is just a *relatively* easy way to give at least some
> privacy (metadata security). I think it is ok to optionally disable it,
> if we deal with links where even 64KiB is too much. Only the number of
> packets in a queue is revealed, that I guess is acceptable for most users.

Cool!

> Actually NNCP packets in general are not very lightweight. Each packet
> contains "path" field that always consumes 255 bytes. Not too friendly
> to very low-bandwidth links. NNCP initially was created even without
> online connections support at all: completely aimed for floppynet-like
> use-cases.

Got it. I think for now we can live with the 255 bytes, as this size of 
payload we can indeed pipe over HF. Of course having a null-terminated 
path would save some bytes, but this is not critical IMO.

>> I'm hammering a bit the code, but better I understand a bit the protocol
>> before I do something very wrong. Which is a good reference to start with?
> 
> The whole documentation is available in doc/nncp.info, doc/nncp.html
> (the same as website). No additional materials about its details exist.

Perfect, thanks.

- Rafael